<?php

  $museum_artifact_theme_custom_setting_css = '';

	// Global Color
	$museum_artifact_theme_color = get_theme_mod('museum_artifact_theme_color', '#F99D43');

	$museum_artifact_theme_custom_setting_css .=':root {';
		$museum_artifact_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($museum_artifact_theme_color ).'!important;';
	$museum_artifact_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$museum_artifact_scroll_alignment = get_theme_mod('museum_artifact_scroll_alignment', 'right');

    if($museum_artifact_scroll_alignment == 'right'){
        $museum_artifact_theme_custom_setting_css .='.scroll-up{';
            $museum_artifact_theme_custom_setting_css .='right: 30px;!important;';
			$museum_artifact_theme_custom_setting_css .='left: auto;!important;';
        $museum_artifact_theme_custom_setting_css .='}';
    }else if($museum_artifact_scroll_alignment == 'center'){
        $museum_artifact_theme_custom_setting_css .='.scroll-up{';
            $museum_artifact_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $museum_artifact_theme_custom_setting_css .='}';
    }else if($museum_artifact_scroll_alignment == 'left'){
        $museum_artifact_theme_custom_setting_css .='.scroll-up{';
            $museum_artifact_theme_custom_setting_css .='left: 30px;!important;';
			$museum_artifact_theme_custom_setting_css .='right: auto;!important;';
        $museum_artifact_theme_custom_setting_css .='}';
    }

    // Related Product

	$museum_artifact_show_related_product = get_theme_mod('museum_artifact_show_related_product', true );

	if($museum_artifact_show_related_product != true){
		$museum_artifact_theme_custom_setting_css .='.related.products{';
			$museum_artifact_theme_custom_setting_css .='display: none;';
		$museum_artifact_theme_custom_setting_css .='}';
	}
    
    // Featured Image Hover Effect
    $museum_artifact_show_featured = get_theme_mod('museum_artifact_featured_image_hide_show', 1);
    $museum_artifact_hover_effect = get_theme_mod('museum_artifact_single_post_featured_image_hover','none');

    if ( $museum_artifact_show_featured && $museum_artifact_hover_effect !== 'none' ) {

    $museum_artifact_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $museum_artifact_hover_effect === 'zoom-in' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $museum_artifact_hover_effect === 'zoom-out' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $museum_artifact_hover_effect === 'grayscale' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $museum_artifact_hover_effect === 'sepia' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $museum_artifact_hover_effect === 'blur' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $museum_artifact_hover_effect === 'bright' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $museum_artifact_hover_effect === 'translate' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $museum_artifact_hover_effect === 'scale' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $museum_artifact_show_featured = get_theme_mod('museum_artifact_featured_image_hide_show', 1);
    $museum_artifact_hover_effect = get_theme_mod('museum_artifact_product_featured_image_hover','none');

    if ( $museum_artifact_show_featured && $museum_artifact_hover_effect !== 'none' ) {

    $museum_artifact_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $museum_artifact_hover_effect === 'zoom-in' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $museum_artifact_hover_effect === 'zoom-out' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $museum_artifact_hover_effect === 'grayscale' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $museum_artifact_hover_effect === 'sepia' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $museum_artifact_hover_effect === 'blur' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $museum_artifact_hover_effect === 'bright' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $museum_artifact_hover_effect === 'translate' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $museum_artifact_hover_effect === 'scale' ) {
        $museum_artifact_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   